Name:    unifdef
Version: 2.12
Release: %mkrel 3
Summary: Tool for removing ifdef'd lines
Group:   Development/Other
License: BSD
URL:     https://dotat.at/prog/unifdef/
Source0: https://dotat.at/prog/unifdef/unifdef-%{version}.tar.xz
# Fix conflicts with C23 standard
Patch0:  0001-Do-not-use-C23-constexpr-keyword.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig

%description
Unifdef is useful for removing ifdefed lines from a file while otherwise
leaving the file alone. Unifdef acts on #ifdef, #ifndef, #else, and #endif
lines, and it knows only enough about C and C++ to know when one of these
is inactive because it is inside a comment, or a single or double quote.

%prep
%autosetup -p1

# Replace $HOME with system's prefix path.
sed -e "s|prefix =.*|prefix =\t%{_prefix}|" -i Makefile

%build
%set_build_flags
%make_build

%install
%make_install

%files
%{_bindir}/unifdef
%{_bindir}/unifdefall
%{_mandir}/man1/unifdef.1*
%{_mandir}/man1/unifdefall.1*


%changelog
* Sat May 17 2025 daviddavid <daviddavid> 2.12-3.mga10
+ Revision: 2184223
- add patch to fix build with gcc 15 (thanks to Aurelian R)

* Sat Apr 22 2023 tmb <tmb> 2.12-1.mga9
+ Revision: 1954304
- add unifdef package
- Created package structure for unifdef.

